summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author adaptr2010-12-18 01:25:10 +0100
committer Robby Workman2010-12-21 05:44:01 +0100
commit9c093529963a1ef9e6b0ce01f984dfa73df0c7c5 (patch)
tree0b0a2fc17c31d2afa7a821f457289f59a7e90f52
parentcd5b3e7101e064b071bec805c5e376af682c0540 (diff)
downloadslackbuilds-9c093529963a1ef9e6b0ce01f984dfa73df0c7c5.tar.gz
graphics/mlbrot: Added (Mandelbrot plotter and exploration tool)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--graphics/mlbrot/README8
-rw-r--r--graphics/mlbrot/mlbrot.SlackBuild60
-rw-r--r--graphics/mlbrot/mlbrot.info10
-rw-r--r--graphics/mlbrot/slack-desc19
4 files changed, 97 insertions, 0 deletions
diff --git a/graphics/mlbrot/README b/graphics/mlbrot/README
new file mode 100644
index 0000000000..840ecf6c90
--- /dev/null
+++ b/graphics/mlbrot/README
@@ -0,0 +1,8 @@
+MLBrot is a graphical tool to display, explore, colour, zoom, animate
+and otherwise play with the well-known Mandelbrot fractal set.
+
+A network slave is included to distribute calculation over multiple
+compute nodes.
+
+This requires ocaml, camlp5, and lablgtk.
+
diff --git a/graphics/mlbrot/mlbrot.SlackBuild b/graphics/mlbrot/mlbrot.SlackBuild
new file mode 100644
index 0000000000..288a70be01
--- /dev/null
+++ b/graphics/mlbrot/mlbrot.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for mlbrot
+
+# Written by adaptr (jeroen@adaptr.nl)
+
+PRGNAM=mlbrot
+VERSION=${VERSION:-1.00}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure
+
+make
+
+## no make install, or other fancy-pants
+mkdir -p $PKG/usr/bin
+cp mlbrot mlbrot_slave $PKG/usr/bin/
+
+# Copy program documentation into the package
+# Also, include the SlackBuild script in the documentation directory
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGES LICENSE README REFERENCES \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp $CWD/$PRGNAM.SlackBuild $PKG/usr/doc/$PRGNAM-$VERSION/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/mlbrot/mlbrot.info b/graphics/mlbrot/mlbrot.info
new file mode 100644
index 0000000000..17626ef36b
--- /dev/null
+++ b/graphics/mlbrot/mlbrot.info
@@ -0,0 +1,10 @@
+PRGNAM="mlbrot"
+VERSION="1.00"
+HOMEPAGE="http://pauillac.inria.fr/~ddr/mlbrot/"
+DOWNLOAD="http://pauillac.inria.fr/~ddr/mlbrot/distrib/src/mlbrot-1.00.tgz"
+MD5SUM="dd12fbacd611a845aa556a26769a8383"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="adaptr"
+EMAIL="jeroen@adaptr.nl"
+APPROVED="Niels Horn"
diff --git a/graphics/mlbrot/slack-desc b/graphics/mlbrot/slack-desc
new file mode 100644
index 0000000000..e9999a0534
--- /dev/null
+++ b/graphics/mlbrot/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mlbrot: mlbrot (Mandelbrot set plotter and exploration tool)
+mlbrot:
+mlbrot: MLBrot is a graphical tool to display, explore, colour, zoom, animate
+mlbrot: and otherwise play with the well-known Mandelbrot fractal set.
+mlbrot:
+mlbrot: Homepage: http://pauillac.inria.fr/~ddr/mlbrot/
+mlbrot:
+mlbrot:
+mlbrot:
+mlbrot:
+mlbrot: